CVE-2003-0410
CVSS10.0
发布时间 :2003-06-30 00:00:00
修订时间 :2016-10-17 22:33:40
NMCOS    

[原文]Buffer overflow in AnalogX Proxy 4.13 allows remote attackers to execute arbitrary code via a long URL to port 6588.


[CNNVD]AnalogX Proxy URI缓冲区溢出漏洞(CNNVD-200306-125)

        AnalogX Proxy 4.13存在缓冲区溢出漏洞。远程攻击者可以借助6588端口的超长URL执行任意代码。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0410
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0410
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200306-125
(官方数据源) CNNVD

- 其它链接及资源

http://archives.neohapsis.com/archives/vulnwatch/2003-q2/0082.html
(VENDOR_ADVISORY)  VULNWATCH  20030526 NII Advisory - Buffer Overflow in Analogx Proxy
http://marc.info/?l=bugtraq&m=105406759403978&w=2
(UNKNOWN)  BUGTRAQ  20030526 NII Advisory - Buffer Overflow in Analogx Proxy
http://www.analogx.com/contents/download/network/proxy.htm
(VENDOR_ADVISORY)  CONFIRM  http://www.analogx.com/contents/download/network/proxy.htm
http://www.iss.net/security_center/static/12068.php
(VENDOR_ADVISORY)  XF  analogx-proxy-url-bo(12068)
http://www.securityfocus.com/bid/7681
(VENDOR_ADVISORY)  BID  7681

- 漏洞信息

AnalogX Proxy URI缓冲区溢出漏洞
危急 缓冲区溢出
2003-06-30 00:00:00 2006-09-25 00:00:00
远程  
        AnalogX Proxy 4.13存在缓冲区溢出漏洞。远程攻击者可以借助6588端口的超长URL执行任意代码。

- 公告与补丁

        This issue has been addressed in AnalogX Proxy 4.14.
        AnalogX Proxy 4.13
        

- 漏洞信息

3667
AnalogX Proxy Long URL (340) Overflow
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

AnalogX Proxy contains a flaw that allows a local network user to execute arbitrary code on the proxy server. The flaw is due to the proxy not properly filtering long URI requests. By supplying a carefully crafted URI greater than 340 characters to the proxy on port 6588, it will overflow a buffer and allow the malicious user to execute arbitrary code.

- 时间线

2003-05-16 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 4.14 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

AnalogX Proxy URI Buffer Overflow Vulnerability
Boundary Condition Error 7681
Yes No
2003-05-26 12:00:00 2009-07-11 10:06:00
Discovery of this issue is credited to "K. K. Mookhey" <cto@nii.co.in>.

- 受影响的程序版本

AnalogX Proxy 4.13
AnalogX Proxy 4.14

- 不受影响的程序版本

AnalogX Proxy 4.14

- 漏洞讨论

AnalogX Proxy is prone to a buffer overflow due to insufficient bounds checking of client-supplied URIs. This could result in execution of arbitrary code in the context of the AnalogX Proxy server.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com &lt;mailto:vuldb@securityfocus.com&gt;.

- 解决方案

This issue has been addressed in AnalogX Proxy 4.14.


AnalogX Proxy 4.13

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站